﻿using BEPUphysicsDrawer.Lines;
using Microsoft.Xna.Framework;

namespace XNAR.Components.BEPU.DisplayTypes
{
    /// <summary>
    /// Graphical representation of a GrabSpring.
    /// </summary>
    public class DisplayGrabSpring : LineDisplayObject<GrabSpring>
    {
        private readonly Line error;

        public DisplayGrabSpring(GrabSpring constraint, LineDrawer drawer)
            : base(drawer, constraint)
        {
            error = new Line(Color.Red, Color.Red, drawer);
            myLines.Add(error);
        }

        public override bool IsActive
        {
            get { return LineObject.IsUpdating; }
        }


        /// <summary>
        /// Moves the constraint lines to the proper location relative to the entities involved.
        /// </summary>
        public override void Update()
        {
            //Move lines around


            error.PositionA = LineObject.GoalPosition;
            error.PositionB = LineObject.GrabbedPosition;
        }
    }
}